#!/bin/bash

feed=$(curl 'https://ngn.tf/api/v1/news/en' --silent)

if [ $? -ne 0 ] || [ -z "${feed}" ]; then
  echo "failed to get the feed"
  exit 1
fi

for p in posts/*; do
  title="$(jq -r .title.en "${p}")"

  if [[ "${feed}" == *"${title}"* ]]; then
    echo "${p} is already posted, skipping"
    continue
  fi

  echo "posting ${p}"
  admin_script add_news "${p}"

  if [ $? -ne 0 ]; then
    echo "failed to post ${p}"
    break
  fi
done
